/* By Internet Factory */

/* Hide menu on SEO instance */
body.seo .menu-item-dashboard-rd,
body.seo .menu-item-pole-rd-global,
body.seo .menu-item-pole-web-global,
body.seo .menu-item-pole-seo-global,
body.seo .menu-item-pole-orleans-global,
body.seo .menu-item-pole-commercial,
body.seo .menu-item-team-monitoring,
body.seo .menu-item-passwords,
body.seo .menu-item-projects,
body.seo .menu-item-tasks,
body.seo .menu-item-my-timesheet,
body.seo .menu-item-estimate_request,
body.seo .menu-item-knowledge-base,
body.seo .menu-item-utilities,
body.seo .menu-item-reports,
body.seo .menu-item-charte-tt,
body.seo .menu-item-charte-tt-2,
body.seo .menu-item-leaves-global,
body.seo .menu-item-passwords,
body.seo .menu-item-workshops,
body.seo .menu-item-global-notification,
body.seo .menu-item-meetings-global,
body.seo .menu-item-popey-tracking{
    display: none;
}


body.customers .logo img{
    width: 200px;
}

.login_admin .logo img, .two-factor-authentication-code .logo img{
    width: 230px;
}

#logo {
    background: #fff;
    border-right: solid 2px #e2e8f0;
    border-bottom: solid 1px #1d293a;
    width: 100%;
    justify-content: center;
}

#logo img{
    width: 137px;
    height: auto;
}

.sidebar{
    background-color: #212121;
}

.sidebar > ul.nav{
    padding-bottom: 35px;
}

.sidebar li.active > a, .sidebar .nav > li > a:hover, .sidebar .nav > li > a:focus{
    background-color: #bf9039;
    border-radius: 30px;
}

body.seo .sidebar li.active > a, body.seo .sidebar .nav > li > a:hover, body.seo .sidebar .nav > li > a:focus{
    background: #0072CE;
    background: linear-gradient(to right, #0072CE 0%, #03BEFD 100%);
    border-radius: 30px;
}

.sidebar li .nav-second-level li.active a{
    color: #212121 !important;
    background: #ffffff !important;
}

.sidebar li .nav-second-level li.active a .menu-icon{
    color: #212121;
}

.cursor-not-allowed:hover{
    cursor: not-allowed;
}

p.msg-popup{
    font-size: 20px;
    font-weight: 600;
}

p.msg-popup span{
    font-style: italic;
    color: #999; 
}

.pinned-separator{
    margin-bottom: 15px;
}

#side-menu.nav > li.pinned_project:last-of-type{
    padding-bottom: 15px;
}

#side-menu.nav > li.pinned_project{
    padding: 0;
    margin: 10px;
}

#side-menu.nav > li.pinned_project a{
    display: flex;
    align-items: flex-start;
    padding: 0;
    margin: 0;
    font-size: 12px;
}

#side-menu.nav > li.pinned_project a i.menu-icon{
    font-size: 10px;
    float: none;
    width: auto;
    margin-right: 7px;
    transform: rotate(-40deg);
    margin-top: 3px;
}

.estimate-items-preview td.description span:first-of-type::after, 
.proposal-items-preview td.description span:first-of-type::after,
.invoice-items-preview td.description span:first-of-type::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 80px;
    height: 2px;
    background: #eee;
}

.estimate-items-preview td.description span:first-of-type, 
.proposal-items-preview td.description span:first-of-type,
.invoice-items-preview td.description span:first-of-type{
    font-size: 15px;
    color: #000;
    font-weight: bold;
    text-transform: uppercase;
    margin-bottom: 7px;
    display: inline-block;
    position: relative;
    padding-bottom: 7px;
}

.estimate-items-preview thead > tr > th:first-child, .estimate-items-preview tbody > tr > td:first-child,
.proposal-items-preview thead > tr > th:first-child, .proposal-items-preview tbody > tr > td:first-child,
.invoice-items-preview thead > tr > th:first-child, .invoice-items-preview tbody > tr > td:first-child{
    display: none;
}

.invoice-html-offline-payments{
    text-align: center;
}

.invoice-html-offline-payments p.tw-font-medium{
    font-size: 1.1em;
    font-weight: bold;
}

.invoice-html-offline-payments p.bold{
    margin-bottom: 0;
    text-decoration: underline;
}

.table.items > thead:first-child > tr:first-child > th{
    border-left: 1px solid #e2e8f0;
}

body.staff.timesheets .table-timesheets-report.view_me th:nth-child(2), 
body.staff.timesheets .table-timesheets-report.view_me td:nth-child(2),
body.staff.timesheets .table-timesheets-report.view_me th:nth-child(8), 
body.staff.timesheets .table-timesheets-report.view_me td:nth-child(8){
    display: none;
}

body.staff.timesheets .table-timesheets-report.view_all th:nth-child(3), 
body.staff.timesheets .table-timesheets-report.view_all td:nth-child(3),
body.staff.timesheets .table-timesheets-report.view_all th:nth-child(9), 
body.staff.timesheets .table-timesheets-report.view_all td:nth-child(9){
    display: none;
}

#search_results .dropdown-header{
    font-weight: 600;
    text-transform: uppercase;
}

.generated-cr{
    font-size: 14px;
}

.generated-cr strong{
    font-weight: bold;
}

.generated-cr ul.projects{
    margin-left: 30px;
    list-style-type: disc;
}

.generated-cr ul.notes, .generated-cr ul.empty_notes, .generated-cr ul.qty_notes{
    margin-left: 15px; 
    font-size: 10px;
    list-style-type: circle;
}

.alert-danger a:not(.btn){
    color: #a94442;
    text-decoration: underline !important;
}

.alert-danger a:not(.btn):hover{
    text-decoration: none !important;
}

#current_note_box{
    width: auto;
    /* width: 350px; */
    position: fixed;
    left: 20px;
    bottom: 0;
    z-index: 100;
    text-align: left;
}

#open_current_note_box{
    border-radius: .375rem .375rem 0 0;
    box-shadow: 0 0 25px rgba(0,0,0,0.1);
}

#current_note{
    display: none;
    padding: 10px;
    background: #f7f7f7;
    border: solid 1px rgba(0,0,0,0.1);
    box-shadow: 0 0 25px rgba(0,0,0,0.1);
    position: relative;
}

#current_note_box textarea{
    height: 100px;
    margin-bottom: 10px;
    padding-right: 30px;
}

#copy-note{
    position: absolute;
    top: 15px;
    right: 15px;
}

.task_line{
    margin-bottom: 10px;
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    gap: 5px;
}

.task_line label{
    margin: 0;
}

.task_line .task_qty{
    width: 70px;
}

.task_line .task_qty::-webkit-inner-spin-button, 
.task_line .task_qty::-webkit-outer-spin-button {  
   opacity: 1;
}

#current_note_content, .type_box_kpi #trash-cr{
    display: none;
}

.task-single-col-right .task-info-cf{
    display: none;
}

#side-menu li li i{
    margin-right: 7px;
    font-size: 14px;
    line-height: 20px;
    width: 15px;
}

.table-hovered tr td{
    transition: all ease 100ms;
}

.table-hovered tr:hover td{
    background-color: #f7f7f7;
}

.table-kpi.table > tbody > tr > td{
    vertical-align: middle;
}

.table-kpi td small{
    font-size: 0.7rem;
}

.table-kpi tfoot tr{
    background-color: #f7f7f7;
    font-weight: bold;
}

body.internet_factory.kpi_rd .dataTables_wrapper > .row{
    display: none;
}

body.internet_factory.kpi_rd .table-responsive{
    margin-bottom: 0;
}

.recap-cdp, .recap-date{
    display: none;
}

.col-md-4.bloc-affect:nth-of-type(3n+1){
    clear: both;
}

#type-kpi{
    display: flex;
    flex-flow: row wrap;
    justify-content: start;
    gap: 10px;
}

#type-kpi a{
    min-width: 120px;
}

#wrapper-filters{
    display: flex;
    flex-flow: row wrap;
    justify-content: flex-end;
    align-items: center;
    gap: 20px;
}

.if-filters{
    display: flex;
    gap: 10px;
    flex-flow: row wrap;
    justify-content: flex-end;
}

.if-filters.left{
    justify-content: flex-start;
}

.if-filters.if-period .dropdown{
    width: 180px !important;
}

.if-filters.if-members .dropdown{
    width: 330px !important;
}

.if-filters .form-group{
    margin: 0;
}

.if-filters .date{
    display: none;
}

.if-filters .date.force-visible{
    display: table;
}

.if-filters .date input{
    width: 110px;
}

#list_keywords, #list_subjects{
    width: 300px;
}

.wrapper_kpi .panel, .wrapper_kpi .panel_s{
    margin-bottom: 10px;
}

#wrapper_briefs, #wrapper_trts{
    display: none;
}

#by_projects{
    display: none;
}

.sidebar li .nav-second-level li a{
    padding: 7px 10px 7px 25px;
}

.sidebar li .nav-second-level li.active a{
    margin: 8px 0 8px 10px;
}

.label-if-yoan{
    background-color: #2980b9;
    color: #fff;
    border-color: #2980b9;
}

.label-if-annie, .label-if-anne-isabelle{
    background-color: #8e44ad;
    color: #fff;
    border-color: #8e44ad;
}

.label-if-clément{
    background-color: #f1c40f;
    color: #fff;
    border-color: #f1c40f;
}

.label-if-diego{
    background-color:#f39c12;
    color: #fff;
    border-color:#f39c12;
}

.label-if-florence{
    background-color:#e74c3c;
    color: #fff;
    border-color:#e74c3c;
}

.label-if-paye{
    background-color: #2ecc71;
    color: #fff;
    border-color: #2ecc71;
}

.label-if-non-paye{
    background-color: #e74c3c;
    color: #fff;
    border-color: #e74c3c;
}

.label-if-avoir{
    background-color: #c0392b;
    color: #fff;
    border-color: #c0392b;
}

.label-if-gift{
    background-color: #d35400;
    color: #fff;
    border-color: #d35400;
}

.label-if-en-attente, .label-if-partiel{
    background-color: #f39c12;
    color: #fff;
    border-color: #f39c12;
}

.label-if-paye i, .label-if-non-paye i, .label-if-avoir i, .label-if-gift i, .label-if-en-attente i, .label-if-partiel i{
    margin-right: 5px;
    font-size: 10px;
}

.label-click{
    cursor: pointer;
}

#dashboard-columns .col-md-4:nth-child(3n+1){
    clear: both;
}

.recap-commercial .objectif .input-group-addon{
    font-size: 12px;
    padding-left: 10px;
    padding-right: 10px;
}

.recap-commercial table{
    margin: 0;
}

.custom-progressbar{
    background-color: #f0f0f0;
    height: 15px;
    border-radius: 20px;
}

.custom-progressbar > div{
    background-color: #22c55e;
    height: 100%;
    border-radius: 20px;
    max-width: 100%;
    color: #fff;
    text-align: center;
    font-size: 10px;
    line-height: 15px;
}

.liste-commercial{
    display: none;
}

.pbot0{
    padding-bottom: 0;
}

.popover-top-timer-note.left, .task-single-col-left .popover.right{
    width: 300px;
}
.row-options > span:first-child:has(.tasks-table-start-timer),
.row-options > a.tasks-table-stop-timer:first-child,
.row-options > span:first-child:has(.tasks-table-start-timer) + .tw-text-neutral-300, 
.row-options > a.tasks-table-stop-timer:first-child + .tw-text-neutral-300 {
    display: none;
}


.sidebar li .nav-second-level li.active a{
    margin: 8px 0 8px 10px;
}

#bell-box, #global-notification{
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100000;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100vw;
    height: 100vh;
    background: rgba(255,255,255,0.98);
}

#bell-box p, #global-notification p{
    font-size: 30px;
    text-align: center;
    font-weight: bold;
    margin-top: 20px;
    font-style: italic;
    text-shadow: 0 0 20px rgba(0,0,0,0.1);
}

#global-notification p.content_notif{
    font-size: 24px;
    font-weight: 600;
    margin: 0 auto;
    max-width: 1200px;
}

#close-bell, #close-notification{
    position: absolute;
    top: 15px;
    right: 45px;
    font-size: 48px;
    line-height: 48px;
    color: #333;
}

table.dataTable.fixedHeader-floating{
    margin-top: 0 !important;
    margin-bottom: 0 !important;
}

.content_cr h4{
    margin-bottom: 0;
}

.content_cr .project_name{
    font-size: 16px;
    font-weight: bold;
}

.content_cr ul {
    list-style-type: disc;
    margin-left: 30px;
}

.content_cr ul ul {
    list-style-type: circle;
    margin-left: 15px;
}

.content_cr .total_time{
    font-size: 18px;
    text-transform: uppercase;
    font-weight: bold;
}

.waiting-projects{
    color: #f39c12;
    font-weight: 600;
}

.agency-projects{
    color: #2980b9;
    font-weight: 600;
}

.if-summary > ul{
    font-weight: 600;
    font-size: 15px;
}

.if-summary > ul a{
    color: #337ab7;
}

.if-summary > ul a:hover{
    color: inherit;
}

.if-summary > ul ul{
    margin-left: 20px;
}

.if-summary > ul > li{
    margin-bottom: 10px;
}

.if-content h2{
    font-size: 20px;
    position: relative;
    padding-bottom: 7px;
    margin: 35px 0 20px;
}

.if-content h3{
    font-size: 16px;
    font-weight: 600;
}

.if-content h2::after{
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 50px;
    height: 2px;
    background-color: #337ab7;
}

.if-content > ul{
    list-style-type: disc;
    margin-left: 40px;
}

.if-content p{
    margin-bottom: 20px;
}

.if-content p + ul{
    margin-top: -17px;
}

.if-content ul + p{
    margin-top: 20px;
}

.if-content strong{
    font-weight: bold;
}

.navbar-nav > li.header-pause > a{
    font-size: 24px;
    color: #555;
}

.table>tbody>tr>td.prestas{
    font-size: 18px;
    color: #444;
    text-align: center;
}

.table>tbody>tr>td.prestas span{
    margin: 0 5px;
}

table.table-keywords>tbody>tr>td,
table.table-subjects>tbody>tr>td{
    vertical-align: middle;
}

table.table-keywords>tbody>tr.hightlight td, table.table-keywords>tbody>tr.hightlight:hover td,
table.table-subjects>tbody>tr.hightlight td, table.table-subjects>tbody>tr.hightlight:hover td{
    background-color: #e2282c !important;
}

.action_icons a{
    margin: 0 5px;
}

a[disable]{
    cursor: not-allowed;
}

.nav>li.header-alert{
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.nav>li.header-alert .alert{
    padding: 5px 15px;
    margin: 0;
}

@keyframes pulse {
    0%{
        transform: scale(1.5);
    }

    100%{
        transform: scale(1);
    }
}

.navbar-nav > li.header-pause > a.play{
    animation: pulse 500ms infinite;
    color: #e2282c;
}

.navbar-nav > li.header-pause > a.delete{
    color: #f39c12;
}

.checkbox-buttons{
    display: flex;
    flex-flow: row wrap;
    margin-top: 24px;
    gap: 10px;
}

.checkbox-button input{
    display: none;
}

.checkbox-button input:checked ~ label{
    background-color: rgb(37 99 235 / var(--tw-bg-opacity));
    border-color: rgb(37 99 235 / var(--tw-border-opacity));
    color: rgb(255 255 255 / var(--tw-text-opacity));
}

.table.align-middle > tbody > tr > td{
    vertical-align: middle;
}

#all_waiting_leaves a.btn:not(.btn-inside-table) {
    font-size: 16px;
}

#all_collaborators input[type=text]{
    max-width: 100px;
}

#planning thead{
    position: sticky;
    top: 0; /* Don't forget this, required for the stickiness */
    box-shadow: 0 2px 2px -1px rgba(0, 0, 0, 0.1);
    background-color: rgba(255,255,255,0.8);
}

#planning strong{
    font-weight: bold;
    color: #000;
}

#planning td span.label{
    text-transform: uppercase;
    color: #fff;
    padding: 0;
    line-height: .75rem;
    font-size: .75rem;
}

#planning td.tt span.label{
    color: #64748b;
}

#planning td.morning span.label{
    margin-top: -16px;
    display: block;
}

#planning td.afternoon span.label{
    margin-top: 19px;
    display: block;
}

#planning th:not(.name), #planning td:not(.name){
    padding: 5px 1px;
    min-width: 25px;
    text-align: center;
}

#planning td.holidays{
    background: #6d6d6c;
}

#planning th.zone_holidays{
    background: #d3ffff;
}

#planning td.tt{
    background: #ecf0f1;
}

#planning td.nodispo{
    background: #f39c12;
}

#planning td.nodispo.morning{
    background: linear-gradient(
        to bottom, 
        #f39c12, 
        #f39c12 50%, 
        #ffffff 50%, 
        #ffffff
    );
    background-clip: padding-box;
}

#planning td.nodispo.afternoon{
    background: linear-gradient(
        to bottom, 
        #ffffff 0%, 
        #ffffff 50%, 
        #f39c12 50%, 
        #f39c12 100%
    );
    background-clip: padding-box;
}

#planning td.cp{
    background: #61b7d7;
}

#planning td.cp.morning{
    background: linear-gradient(
        to bottom, 
        #61b7d7, 
        #61b7d7 50%, 
        #ffffff 50%, 
        #ffffff
    );
    background-clip: padding-box;
}

#planning td.cp.afternoon{
    background: linear-gradient(
        to bottom, 
        #ffffff 0%, 
        #ffffff 50%, 
        #61b7d7 50%, 
        #61b7d7 100%
    );
    background-clip: padding-box;
}

#planning td.css{
    background: #d97b27;
}

#planning td.css.morning{
    background: linear-gradient(
        to bottom, 
        #d97b27, 
        #d97b27 50%, 
        #ffffff 50%, 
        #ffffff
    );
    background-clip: padding-box;
}

#planning td.css.afternoon{
    background: linear-gradient(
        to bottom, 
        #ffffff 0%, 
        #ffffff 50%, 
        #d97b27 50%, 
        #d97b27 100%
    );
    background-clip: padding-box;
}

#planning td.cpr{
    background: #8cbca3;
}

#planning td.cpr.morning{
    background: linear-gradient(
        to bottom, 
        #8cbca3, 
        #8cbca3 50%, 
        #ffffff 50%, 
        #ffffff
    );
    background-clip: padding-box;
}

#planning td.cpr.afternoon{
    background: linear-gradient(
        to bottom, 
        #ffffff 0%, 
        #ffffff 50%, 
        #8cbca3 50%, 
        #8cbca3 100%
    );
    background-clip: padding-box;
}

#planning td.cpe{
    background: #00bc48;
}

#planning td.cpe.morning{
    background: linear-gradient(
        to bottom, 
        #00bc48, 
        #00bc48 50%, 
        #ffffff 50%, 
        #ffffff
    );
    background-clip: padding-box;
}

#planning td.cpe.afternoon{
    background: linear-gradient(
        to bottom, 
        #ffffff 0%, 
        #ffffff 50%, 
        #00bc48 50%, 
        #00bc48 100%
    );
    background-clip: padding-box;
}

#planning td.am{
    background: #fb3225;
}

#planning td.abs{
    background: #f57d75;
}

#planning td.ko{
    background: #61b7d7;
}

#planning td.ko.morning{
    background: linear-gradient(
        to bottom, 
        #61b7d7, 
        #61b7d7 50%, 
        #ffffff 50%, 
        #ffffff
    );
    background-clip: padding-box;
}

#planning td.ko.afternoon{
    background: linear-gradient(
        to bottom, 
        #ffffff 0%, 
        #ffffff 50%, 
        #61b7d7 50%, 
        #61b7d7 100%
    );
    background-clip: padding-box;
}

#planning td.waiting{
    background: #f1c40f;
}

#planning td.waiting.morning{
    background: linear-gradient(
        to bottom, 
        #f1c40f, 
        #f1c40f 50%, 
        #ffffff 50%, 
        #ffffff
    );
    background-clip: padding-box;
}

#planning td.waiting.afternoon{
    background: linear-gradient(
        to bottom, 
        #ffffff, 
        #ffffff 50%, 
        #f1c40f 50%, 
        #f1c40f
    );
    background-clip: padding-box;
}

#planning td.school{
    background: #bf73a5;
}

#planning td.school.morning{
    background: linear-gradient(
        to bottom, 
        #bf73a5, 
        #bf73a5 50%, 
        #ffffff 50%, 
        #ffffff
    );
    background-clip: padding-box;
}

#planning td.school.afternoon{
    background: linear-gradient(
        to bottom, 
        #ffffff, 
        #ffffff 50%, 
        #bf73a5 50%, 
        #bf73a5
    );
    background-clip: padding-box;
}

#planning .row-dispo{
    font-weight: 600;
}

#planning td.planning-dispo{
    font-weight: 600;
    text-align: right;
    font-size: 15px;
    padding: 5px 10px;
}

#planning td.planning-service{
    font-weight: 600;
    text-transform: uppercase;
    color: #fff;
    font-size: 16px;
    background-color: #bf9039;
}

#planning .staff-profile-image-small,
#all-leaves .staff-profile-image-small{
    width: 20px;
    height: 20px;
}

.panel-table-full td.actions{
    display: flex;
    flex-flow: row wrap;
    gap: 5px;
}

.legend, .legend-block{
    display: flex;
    flex-flow: row wrap;
    gap: 20px;
    align-items: center;
    justify-content: center;
}

.legend-block{
    gap: 5px;
}

.legend-block .color{
    width: 12px;
    height: 12px;
}

.legend-block p{
    margin: 0;
    font-size: 12px;
    line-height: 12px;
    font-style: italic;
}

.planning-legend{
    font-style: italic;
    font-size: 13px;
}

#filter-choosen_month, #filter_category-button{
    display: none;
}

.planning-legend span{
    font-style: normal;
}

.ui-accordion{
    font-family: inherit !important;
}

.ui-accordion .ui-accordion-header{
    padding: 10px 15px;
    font-size: 0.95rem;
    line-height: 1rem;
    font-weight: 600;
}

.ui-accordion .ui-accordion-header.ui-state-default{
    background: none;
    color: inherit;
}

.ui-accordion .ui-accordion-header.ui-state-active, .ui-accordion .ui-accordion-header.ui-state-hover{
    border-color: #bf9039;
    background: #bf9039;
    font-weight: 600;
    color: #fff;
}

.ui-accordion-header-icon{
    display: none;
}

.ui-accordion .ui-widget-content{
    background: #f7f7f7;
    color: inherit; 
    padding: 15px;
}

.ui-accordion .ui-widget-content p:last-child{
    margin: 0;
}

.ui-accordion .ui-widget-content ul{
    margin: 0 0 10px 20px;
    list-style-type: disc;
}

.ui-accordion .ui-widget-content ul li{
    margin-left: 10px;
}

.add_edit_category_password{
    display: flex;
    flex-flow: row wrap;
    gap: 10px;
}

.add_edit_category_password input[type="text"]{
    max-width: 200px;
}

#all-passwords .password_crypt, #all-passwords .username_copy{
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
}

#all-passwords .password_crypt span.password.crypted{
    filter: blur(4px);
    user-select: none;
    cursor: not-allowed;
    overflow: hidden;
    max-width: 75px;
}

#all-passwords .password_crypt .save-crypted{
    display: none;
}

#all-passwords .copy-input {
    opacity: 0;
    width: 1px;
    z-index: -1;
    position: relative;
}

#all-passwords .password_crypt .password-actions a.hide{
    display: none;
}

.border-icon{
    border: solid 1px rgba(0, 0, 0, 0.3);
    border-radius: 5px;
    padding: 2px 3px;
    color: inherit;
    font-size: 11px;
}

.border-icon.blue{
    color: #fff;
    background-color: rgb(37 99 235);
    border: solid 1px rgb(37 99 235);
}

.content code-input{
    margin: 0;
    height: 450px;
}

.content code-input pre{
    background: none;
    border: none;
    border-radius: 0;
    overflow: visible;
}

#side-menu.nav > li.pinned_project .pinned_title{
    color: #fff;
    font-weight: bold;
    font-style: italic;
    border-bottom: solid 1px rgba(255, 255, 255, 0.3);
    padding-bottom: 3px;
    display: inline-block;
    text-transform: uppercase;
    letter-spacing: 1px;
}

#side-menu.nav > li.pinned_project .pinned_title i{
    margin: 0 2px 0 3px;
    transform: rotate(-45deg);
}

#pin-task-block .btn-success i{
    transform: rotate(-45deg);
}

body.viewinvoice .invoice-html-ship-to, body.viewinvoice .invoice-html-customer-shipping-info{
    display: none;
}

#copy-to-instance{
    position: absolute;
    right: 0;
    top: -17px;
}

.bulle{
    background: #a94442;
    width: 20px;
    height: 20px;
    border-radius: 50px;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    font-size: 12px;
    line-height: 12px;
}

.bulle i{
    margin-left: -1px;
}

.bulle.danger{
    background: rgb(239 68 68);
}

.bulle.success{
    background: rgb(22 163 74);
}

#all-staffs .table-staff tbody tr:not(:has(input:checked)){
    display: none;
}

#all-staffs.just-disable .table-staff tbody tr:has(input:checked){
    display: none;
}

#all-staffs.just-disable .table-staff tbody tr:not(:has(input:checked)){
    display: table-row;
}

#all-workshops .canceled{
    background-color: rgb(254 242 242) !important;
    border-color: hsla(0, 96%, 89%, .6) !important;
    color: rgb(185 28 28) !important;
}

.task_milestone.label{
    background-color: #aaa;
}

div#group_or_user::before {
    content: "ou";
    position: absolute;
    left: -8px;
    top: 30px;
    font-weight: bold;
    color: red;
}

/* body.passwords .sidebar, #wrapper{
    min-height: 100% !important;
} */
#wrapper{
    min-height: 100% !important;
}

#proposals tbody > tr > td:nth-child(4),
#estimates tbody > tr > td:nth-child(1),
#estimates tbody > tr > td:nth-child(2),
#invoices tbody > tr > td:nth-child(1),
#invoices tbody > tr > td:nth-child(2){
    white-space: nowrap;
}

.timeline.activity-feed .feed-item{
    padding-bottom: 15px;
    border-left-color: #ddd;
}

.timeline.activity-feed .feed-item small{
    margin-left: 10px;
    font-style: italic;
}

.timeline.activity-feed .feed-item .date{
    text-transform: none;
}

.timeline.activity-feed .feed-item .bubble{
    position: absolute;
    top: -11px;
    left: -16px;
    width: 30px;
    height: 30px;
    background: #aaa;
    z-index: 1;
    border-radius: 500px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    font-size: 12px;
}

.timeline.activity-feed .feed-item.project_open .bubble{
    background-color: #f39c12;
}

.timeline.activity-feed .feed-item.project_close .bubble{
    background-color: #e74c3c;
}

.timeline.activity-feed .feed-item.task_finished .bubble{
    background-color: #27ae60;
}

.notification-wrapper i{
    color: #2980b9;
}

.notification-wrapper i.green{
    color: #27ae60;
}

.notification-wrapper i.red{
    color: #e74c3c;
}

.notification-wrapper i.orange{
    color: #e67e22;
}

.question_wrapper:not(:last-child){
    margin-bottom: 30px;
}

.question_wrapper .question_name{
    font-size: 18px;
    font-weight: 600;
    margin-bottom: 0;
}

.question_wrapper .question_legend{
    font-size: 14px;
    font-style: italic;
}

div.stars{
    display: flex;
    flex-flow: row-reverse;
    justify-content: flex-end;
}

input.star{
    display: none;
}
  
label.star {
    padding: 2px;
    font-size: 25px;
    color: #444;
    transition: all .2s;
}
  
input.star:checked ~ label.star:before {
    content:'\f005';
    font-weight: 900;
    transition: all .25s;
}
  
input.star-5:checked ~ label.star:before {
    color:#f1c40f;
    text-shadow: 0 0 20px rgba(241,196,15,0.5);
}

input.star-4:checked ~ label.star:before {
    color: #f1c40f;
}

input.star-3:checked ~ label.star:before {
    color: #e67e22;
}

input.star-2:checked ~ label.star:before {
    color: #d35400;
}
  
input.star-1:checked ~ label.star:before {
    color: #c0392b;
}
  
label.star:hover{
    transform: rotate(-15deg) scale(1.3);
}
  
label.star:before{
    content:'\f006';
    font-family: "Font Awesome 6 Free";
}

.panel-body.closed hr{
    display: none;
}
.panel-body.opened hr{
    display: block;
}

.panel-body h4 span.toggle i{
    transition: all ease 500ms;
}
.panel-body.closed h4 span.toggle i{
    transform: rotate(0);
}
.panel-body.opened h4 span.toggle i{
    transform: rotate(180deg);
}
.panel-body.toggled h4{
    cursor: pointer;
}
.panel-body.closed h4{
    margin-bottom: 0;
}
.panel-body.opened h4{
    margin-bottom: 10px;
}

.panel-body .wrapper_questions{
    transition: all ease 500ms;
    overflow: hidden;
}
.panel-body.closed .wrapper_questions{
    height: 0;
}
.panel-body.opened .wrapper_questions{
    height: auto;
}

.table.table-per-commercial>tbody>tr>td{
    padding: 7px;
}

.table.table-per-commercial>tbody>tr>td b{
    font-weight: 600;
}

.text-seo{
    color: #0192e2 !important;
}

.bg-seo{
    background-color: #0192e2 !important;
    color: #fff !important;
}

.bg-nl{
    background-color: #c06 !important;
    color: #fff !important;
    border-color: #c06;
}

.text-if{
    color: #bf9039 !important;
}

.bg-if{
    background-color: #bf9039 !important;
    color: #fff !important;
}

input.bg-if, input.bg-seo, .input-group-addon.bg-if, .input-group-addon.bg-seo{
    border-color: #fff;
}

.objectif > input{
    text-align: right;
}

.tw-flex .col{
    flex: 1;
}

.icon_status{
    font-size: 20px;
}

#menu ul.nav li{
    position: relative;
}

.nav-notif{
    color: #fff;
    position: absolute;
    background-color: #dc2626;
    border-radius: 500px;
    width: 12px;
    height: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 8px;
    line-height: 8px;
    top: 1px;
    left: 25px;
}

.nav-second-level .nav-notif{
    left: 33px;
}

.nav-second-level .active .nav-notif{
    left: 23px;
}

.no-export-btn .dt-buttons{
    display: none;
}

.search-results a.closed{
    color: #aaa;
    font-style: italic;
}

#choice_sections{
    display: flex;
    flex-flow: row wrap;
    gap: 30px;
    height: 33px;
    align-items: center;
}

.campaign_description{
    display: none;
}

.section_default{
    font-weight: 600;
}

.section_default sup{
    margin-left: 1px;
}

.by_month{
    display: none;
}

body.projects .panel-body ._filters {
    display: flex;
    flex-flow: row wrap;
    width: 100%;
    justify-content: space-between;
}

body.projects .panel-body ._filters > div{
    width: auto;
    border: none;
}

@media all and (min-width: 992px){
    .task-modal-single .modal-lg{
        width: 1200px;
    }

    #_task_modal .modal-dialog{
        width: 1200px;
    }
}

@media all and (max-width: 1400px){
    .header-alert{
        display: none !important;
    }
}
